Subject: bug#4136: 23.1; delete-pair

From: Juri Linkov <[email-masked]>
Date: Wed, 19 Aug 2009 03:47:14 +0300

>> ...this is exactly the issue: it is much better if `delete-foo' is
>> always an operation that reverts what `insert-foo' does.
>
> I don't think we shojuld make it hard to delete (...] just because it
> may be done by mistake.  That's what `undo' is for.
>
> So, I'm in favor of making delete-pair a bit more picky, but not quite
> as much as you suggest.  I suggest we try and make sure delete-pair
> indeed only eliminates chars like ([" on the left side and )]" on the
> right side (including by moving point a little bit in order to find the
> intended pair), but let's not impose that ( can only match ).

I don't oppose strict checking for only a pair of ( and ) because
a situation with (...] is extremely rare and usually means that
there is some bug.  So in reality there is no problem with
checking against the `insert-pair-alist' list.

What I care about is simplicity.  It should be easy for the user
to understand and remember what the command `delete-pair' does.
Failing on a non-pair character would be natural for a command
that is a counterpart of `insert-pair'.

-- 
Juri Linkov
http://www.jurta.org/emacs/